Bug 257919 - devel/capnproto: upgrade to 0.9.0
Summary: devel/capnproto: upgrade to 0.9.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Fernando Apesteguía
URL: https://capnproto.org/news/
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2021-08-18 03:17 UTC by Maxim Sobolev
Modified: 2021-09-08 07:35 UTC (History)
3 users (show)

See Also:
fernape: maintainer-feedback+


Attachments
Patch to upgrade. (4.68 KB, patch)
2021-08-18 03:17 UTC, Maxim Sobolev
no flags Details | Diff
Patch to upgrade to 0.9.0. (4.04 KB, patch)
2021-08-20 04:12 UTC, Maxim Sobolev
no flags Details | Diff
capnproto 0.9.0 updated patch (4.44 KB, patch)
2021-08-20 07:53 UTC, Fernando Apesteguía
no flags Details | Diff
Patch to upgrade to 0.9.0. (4.82 KB, patch)
2021-08-20 22:11 UTC, Maxim Sobolev
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Maxim Sobolev freebsd_committer 2021-08-18 03:17:28 UTC
Created attachment 227296 [details]
Patch to upgrade.

This patch upgrades to 0.9.0, which is the latest version.  Thanks!
Comment 1 Fernando Apesteguía freebsd_committer 2021-08-18 07:24:56 UTC
^Triage: Reporter is committer, assign accordingly.

^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.

Q/A: PORTREVISION should be removed (defaults to 0)
Q/A: patch did not apply cleanly. Would you mind checking it? The patch tries to modify  emulators/virtualbox-ose/Makefile. Is this intended?



Thanks!
Comment 2 Maxim Sobolev freebsd_committer 2021-08-20 04:12:49 UTC
Created attachment 227337 [details]
Patch to upgrade to 0.9.0.

Cleaned up patch (removed unintended garbade, remove PORTREVISION=0)
Comment 3 Maxim Sobolev freebsd_committer 2021-08-20 04:23:26 UTC
(In reply to Fernando Apesteguía from comment #1)

Hey Fernando, thanks for looking into it for me. Unfortunately my ports commit bit has been taken for "safekeepeng" two years ago so I am not able to take care of this by myself. I've updated the patch as suggested.

Here are some release highlights:

Cap'n Proto 0.9

There’s no huge new features in this release, but there are many minor improvements and bug fixes. You can read the PR history to find out what has changed.

Cap’n Proto development has continued to be primarily driven by the Cloudflare Workers project (of which I’m the lead engineer). As of the previous release, Cloudflare Workers primarily used the KJ C++ toolkit that is developed with Cap’n Proto, but made only light use of Cap’n Proto serialization and RPC itself. That has now changed: the implementation of Durable Objects makes heavy use of Cap’n Proto RPC for essentially all communication within the system.

Cap’n Proto 0.8.

o Multi-stream Flow Control
o HTTP-over-Cap’n-Proto
o KJ improvements
o Lots and lots of minor tweaks and fixes.
Comment 4 Fernando Apesteguía freebsd_committer 2021-08-20 07:53:00 UTC
Created attachment 227338 [details]
capnproto 0.9.0 updated patch

Mark BROKEN in 11 due to lack of SOL_LOCAL
Comment 5 Fernando Apesteguía freebsd_committer 2021-08-20 07:56:52 UTC
(In reply to Maxim Sobolev from comment #3)
Sure Maxim, do not worry.

Just as a reminder: Any committer may commit to any repository with an accepted review from any committer with existing access to that repository.

In this case, I tested the patch in {11.4,12.2}{amd64,i386} and current amd64.

In 11, it does not build because we lack SOL_LOCAL socket option. I don't know if there is a workaround for this.

In current, clang chokes. I'm about to open a PR for this too.

I updated the patch to mark the port as BROKEN in 11 and added some minor aesthetic changes.

Let's see if we can work this issues around.

Thanks!
Comment 6 Maxim Sobolev freebsd_committer 2021-08-20 22:11:23 UTC
Created attachment 227349 [details]
Patch to upgrade to 0.9.0.

This is an updated patch to fix the build issue on 11.x.
Comment 7 Maxim Sobolev freebsd_committer 2021-08-20 22:12:22 UTC
Thanks Fernando! 

I've updated the patch to fix build on 11.x, somehow I've overlooked that.
Comment 8 Fernando Apesteguía freebsd_committer 2021-08-21 12:31:36 UTC
(In reply to Maxim Sobolev from comment #7)
Excellent. Thanks!

With a very recent CURRENT clang does not crash, so it is clear in CURRENT. I will run some more tests with dependent ports and give maintainer a couple of days before committing.

Thanks!
Comment 9 Felix Hanley 2021-08-22 22:50:09 UTC
The latest patch seems to work for me on 12 and 13 (I no longer have an environment for 11 so cannot test there)
Comment 10 Fernando Apesteguía freebsd_committer 2021-08-23 05:34:33 UTC
(In reply to Felix Hanley from comment #9)
Excellent. Thanks Felix. I'll commit this later today.

Setting maintainer-apprival.
Comment 11 Fernando Apesteguía freebsd_committer 2021-08-23 16:23:45 UTC
(In reply to Maxim Sobolev from comment #7)
Committed,

Thanks!
Comment 12 commit-hook freebsd_committer 2021-08-23 16:24:11 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=b346f732e4a79b40ff5b491fa0b661dd5ed43f55

commit b346f732e4a79b40ff5b491fa0b661dd5ed43f55
Author:     Maxim Sobolev <sobomax@FreeBSD.org>
AuthorDate: 2021-08-21 12:13:54 +0000
Commit:     Fernando Apesteguía <fernape@FreeBSD.org>
CommitDate: 2021-08-23 16:18:22 +0000

    devel/capnproto: upgrade to 0.9.0

    ChangeLog: https://capnproto.org/news/

    PR:     257919
    Reported by:    sobomax@FreeBSD.org
    Approved by:    felix@userspace.com.au (maintainer)

 devel/capnproto/Makefile                           | 12 ++++---
 devel/capnproto/distinfo                           |  6 ++--
 .../files/patch-src__kj__async-io-unix.c++ (new)   | 14 ++++++++
 devel/capnproto/pkg-plist                          | 37 ++++++++++++++++------
 4 files changed, 51 insertions(+), 18 deletions(-)
Comment 13 Maxim Sobolev freebsd_committer 2021-08-26 04:07:54 UTC
(In reply to Fernando Apesteguía from comment #11)

Thanks, Fernando! Can you please take a look at my other PR to add python bindings for the capnproto library here:

https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=257920

Much appreciated in advance.
Comment 14 Maxim Sobolev freebsd_committer 2021-08-26 04:08:07 UTC
(In reply to Fernando Apesteguía from comment #11)

Thanks, Fernando! Can you please take a look at my other PR to add python bindings for the capnproto library here:

https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=257920

Much appreciated in advance.